package com.willalp.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.core.domain.TreeEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;


/**
 * 层级规则对象 hs_sys_level
 *
 * @author bjh
 * @date 2021-12-02
 */
@Data
@TableName("hs_sys_level")
public class HsSysLevels extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    private String id; //id

    @TableField(value = "levelcode")
    private String levelcode;
    @TableField(value = "levelname")
    private String levelname;  //
    @TableField(value = "xh")
    private String xh;
    @TableField(value = "jgid")
    private String jgid;
    @TableField(value = "sfzx")
    private String sfzx;  //
    @TableField(value = "summary")
    private String summary;  //

    /** 子部门 */
    private List<HsSysLevels> children = new ArrayList<HsSysLevels>();

    /** ID */
 /*   private long id;

    *//** 层级编码 *//*
    @Excel(name = "层级编码")
    private String levelcode;

    *//** 层级名称 *//*
    @Excel(name = "层级名称")
    private String levelname;

    *//** 序号 *//*
    @Excel(name = "序号")
    private String xh;

    *//** 机构id *//*
    @Excel(name = "机构id")
    private String jgid;

    *//** 是否注销 *//*
    @Excel(name = "是否注销")
    private String sfzx;

    @Excel(name = "父节点")
    private String parent_id;

    @Excel(name = "父节点")
    private String remark;

*//*    @Excel(name = "父节点")
    private String parent_id;*//*

    @Excel(name = "创建时间")
    private Date create_time;

    @Excel(name = "更新时间")
    private Date update_time;

    @Excel(name = "创建人")
    private String create_by;

    @Excel(name = "更新人")
    private String update_by;

    @Override
    public Long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setLevelcode(String levelcode)
    {
        this.levelcode = levelcode;
    }

    public String getLevelcode()
    {
        return levelcode;
    }
    public void setLevelname(String levelname)
    {
        this.levelname = levelname;
    }

    public String getLevelname()
    {
        return levelname;
    }
    public void setXh(String xh)
    {
        this.xh = xh;
    }


    public String getXh() {
        return xh;
    }

    public void setJgid(String jgid) {
        this.jgid = jgid;
    }


    public String getJgid()
    {
        return jgid;
    }
    public void setSfzx(String sfzx)
    {
        this.sfzx = sfzx;
    }

    public String getSfzx()
    {
        return sfzx;
    }



    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    public String getCreate_by() {
        return create_by;
    }

    public void setCreate_by(String create_by) {
        this.create_by = create_by;
    }

    public String getUpdate_by() {
        return update_by;
    }

    public void setUpdate_by(String update_by) {
        this.update_by = update_by;
    }

    public String getParent_id() {
        return parent_id;
    }

    public void setParent_id(String parent_id) {
        this.parent_id = parent_id;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("levelcode", getLevelcode())
            .append("levelname", getLevelname())
            .append("parentId", getParentId())
            .append("ancestors", getAncestors())
            .append("xh", getXh())
            .append("jgid", getJgid())
            .append("sfzx", getSfzx())
            .append("remark", getRemark())
            .toString();
    }*/
}
